document.addEventListener('DOMContentLoaded', () => {
  // Sparkle effect
  function createSparkle() {
    const sparkle = document.createElement('div');
    sparkle.className = 'sparkle';
    sparkle.style.left = Math.random() * 100 + '%';
    sparkle.style.top = Math.random() * 100 + '%';
    sparkle.style.animationDuration = Math.random() * 1 + 0.5 + 's';
    document.querySelector('.sparkles').appendChild(sparkle);
    setTimeout(() => sparkle.remove(), 1000);
  }

  setInterval(createSparkle, 300);

  // Bubble effect
  const bubbleButton = document.getElementById('bubbleButton');
  
  function createBubble(e) {
    const bubble = document.createElement('div');
    bubble.className = 'bubble';
    bubble.style.left = e.clientX + 'px';
    bubble.style.top = e.clientY + 'px';
    document.body.appendChild(bubble);
    
    bubble.addEventListener('animationend', () => {
      bubble.remove();
    });
  }

  bubbleButton.addEventListener('click', (e) => {
    for(let i = 0; i < 10; i++) {
      setTimeout(() => createBubble(e), i * 100);
    }
  });

  // Random rotation for polaroids
  document.querySelectorAll('.polaroid').forEach(polaroid => {
    polaroid.style.setProperty('--rotation', `${Math.random() * 6 - 3}deg`);
  });
});